-- MySQL dump 10.13  Distrib 8.0.33, for Win64 (x86_64)
--
-- Host: 127.0.0.1    Database: shops
-- ------------------------------------------------------
-- Server version	8.0.33

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `devices`
--

DROP TABLE IF EXISTS `devices`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `devices` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(300) NOT NULL,
  `cpu` varchar(250) NOT NULL,
  `company_id` int NOT NULL,
  `gpu` varchar(250) NOT NULL,
  `ram` int NOT NULL,
  `m_pixel` int NOT NULL,
  `battery_mah` int NOT NULL,
  `battery_score` int NOT NULL,
  `pref_score` int NOT NULL,
  `camera_score` int NOT NULL,
  `connect_score` int NOT NULL,
  `total_score` int NOT NULL,
  `price` int NOT NULL,
  `screen_size` double NOT NULL,
  `storage_gb` int NOT NULL,
  `img_url` varchar(300) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `id_idx` (`company_id`),
  CONSTRAINT `id` FOREIGN KEY (`company_id`) REFERENCES `company` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=23 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `devices`
--

LOCK TABLES `devices` WRITE;
/*!40000 ALTER TABLE `devices` DISABLE KEYS */;
INSERT INTO `devices` VALUES (1,'Galaxy s10','Snapdragon 855',2,'Qualcomm Adreno 640',8,12,3400,60,416,89,10,99,2400,6.1,128,'https://cdn-files.kimovil.com/devicerender/0003/22/thumb_221858_devicerender_small.jpeg'),(2,'Mi 10','Qualcomm Snapdragon 865',1,'Qualcomm Adreno 650',8,20,4780,83,547,96,83,100,2300,6.67,128,'https://cdn-files.kimovil.com/phone_front/0004/24/thumb_323504_phone_front_medium.jpeg'),(4,'Redmi Note 8 Pro','MediaTek Helio G90T',1,'Arm Mali-G76',6,64,4500,79,292,78,79,99,800,6.53,128,'https://cdn-files.kimovil.com/devicerender/0003/54/thumb_253879_devicerender_small.jpeg'),(5,'Galaxy S20','Samsung Exynos 990',2,'ARM Mali-G77',8,12,4000,75,515,88,84,87,3000,6.2,128,'https://cdn-files.kimovil.com/phone_front/0004/23/thumb_322700_phone_front_medium.jpeg'),(8,'Redmi Note 9S','Qualcomm Snapdragon 720G',1,'Qualcomm Adreno 618',6,16,5020,87,274,78,76,89,800,6.67,128,'https://cdn-files.kimovil.com/phone_front/0004/36/thumb_335705_phone_front_medium.jpeg'),(9,'Galaxy A71','Qualcomm Snapdragon 730',2,'QUalcomm Adreno 618',6,32,4500,80,265,79,82,85,1400,6.7,128,'https://cdn-files.kimovil.com/devicerender/0004/23/thumb_322280_devicerender_small.jpeg'),(10,'Galaxy S10e','Samsung Exynos 9 9820',2,'ARM Mali-G76 MP12',6,10,3100,53,389,82,90,78,1700,5.8,128,'https://cdn-files.kimovil.com/devicerender/0004/23/thumb_322280_devicerender_small.jpeg'),(12,'Galaxy S10 Plus','Qualcomm Snapdragon 855',2,'Qualcomm Adreno 640',8,12,4100,76,417,86,92,94,2400,6.4,128,'https://cdn-files.kimovil.com/devicerender/0003/22/thumb_221849_devicerender_small.jpeg'),(14,'Redmi K20 / mi 9 t','Qualcomm Snapdragon 730',1,'QUalcomm Adreno 618',6,20,4000,73,261,83,72,86,1200,6.39,128,'https://cdn-files.kimovil.com/devicerender/0003/22/thumb_221931_devicerender_small.jpeg'),(15,'Galaxy A51','Samsung Exynos 7 Octa 9611',2,'ARM Mali-G72 MP3',6,32,4000,69,179,77,82,82,1000,6.5,128,'https://cdn-files.kimovil.com/devicerender/0004/02/thumb_301123_devicerender_small.jpeg'),(17,'OnePlus 7T','Qualcomm Snapdragon 855 Plus',3,'Qualcomm Adreno 640',8,16,3800,64,482,86,87,90,2100,6.55,128,'https://cdn-files.kimovil.com/phone_front/0003/55/thumb_254189_phone_front_medium.jpeg'),(18,'Iphone 11','Apple A13 Bionic\r\n',4,'Apple 4 core A13 GPU',4,12,3110,76,521,88,87,80,3000,6.1,128,'https://cdn-files.kimovil.com/devicerender/0003/54/thumb_253180_devicerender_small.jpeg'),(20,'Iphone 11 pro max','Apple A13 Bionic',4,'Apple 4 core A13 GPU',4,12,3970,88,522,88,86,80,4950,6.5,256,'https://cdn-files.kimovil.com/devicerender/0003/54/thumb_253544_devicerender_small.jpeg'),(22,'Apple iPhone SE 2020','Apple A13 Bionic',4,'Apple 4 core A13 GPU',3,7,1820,34,492,76,88,79,1800,4.7,128,'https://cdn-files.kimovil.com/devicerender/0004/69/thumb_368442_devicerender_small.jpeg');
/*!40000 ALTER TABLE `devices` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2023-09-12 14:13:36
